Module | Merb::Test::Rspec::ControllerMatchers
In: | lib/merb-core/test/matchers/controller_matchers.rb

### Methods

be_error provide

### Classes and Modules

Class Merb::Test::Rspec::ControllerMatchers::BeError
Class Merb::Test::Rspec::ControllerMatchers::BeRedirect
Class Merb::Test::Rspec::ControllerMatchers::Provide

### Public Instance methods

be_error(expected)
provide( expected )

Passes if the controller actually provides the target format

### Parameters

expected<Symbol>: | A format to check

#### Examples

      ControllerClass.should provide( :html )
      controller_instance.should provide( :xml )

[Validate]